Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1665 - /dev/zero has incorrect permissions
Summary: /dev/zero has incorrect permissions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dev
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-22 09:25 UTC by jmegq
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-23 20:13:57 UTC


Attachments (Terms of Use)

Description jmegq 1999-03-22 09:25:33 UTC
/dev/zero should be world writable, but is not.
This is true of the Rawhide and Starbuck releases as well
as the 5.2 release, and presumably other releases.

The manpage for /dev/null and /dev/zero ("man null") say
that both devices should be world-writable, but only
/dev/null is. (/dev/zero is owner and group writable only).

Strangely, MAKEDEV seems to want to make both devices 0666,
but I haven't verified that it does so.

The problem shows itself with JDK1.2pre-v1:
JDK1.2 uses /dev/zero internally to throw stuff away, and
expects it to be world-writable; I imagine this may be
confusing some people who are trying to use it.

e.g. (on starbuck):
    % setenv THREADS_FLAG green
    % java -Djava.compiler= -version
    devzero: Permission denied

Thanks,
//James//

Comment 1 David Lawrence 1999-03-23 19:10:59 UTC
I have verified this to be true in the test lab. It is being assigned
to a developer.

Comment 2 Michael K. Johnson 1999-03-23 20:13:59 UTC
This was originally changed because someone voiced a security-related
concern.  That concern (that /dev/zero does not erase the buffer
passed to it) is not a legitimate concern and while programs really
should use /dev/null to throw things away, I'll change the dev
package to make /dev/zero world writable in dev-2.6.4


Note You need to log in before you can comment on or make changes to this bug.